Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.framework
Interface EPPAssembler

All Known Implementing Classes:
  EPPSerialAssembler, EPPXMLAssembler

    public interface EPPAssembler

The EPPAssembler interface defines an interface for serializing EPPEvent objects and EPPEventResponse objects. Implementing classes should define the format of the input and output streams.

Version:
  $Revision: 1.3 $
Author:
  $Author: jim $
See Also:
  `EPPXMLAssembler`, `EPPEventResponse`, `EPPEvent`, `EPPAssemblerException`

Method Summary
`EPPEvent` | `toEvent(java.io.InputStream aInputStream, java.lang.Object aData)` Takes an `InputStream` and creates a `EPPEvent`
`void` | `toStream(EPPEventResponse aResponse, java.io.OutputStream aOutputStream, java.lang.Object aData)` Takes an `EPPEventResponse` and serializes it to an `OutputStream`

Method Detail

### toStream

    void toStream(EPPEventResponse aResponse,
                  java.io.OutputStream aOutputStream,
                  java.lang.Object aData)
                  throws EPPAssemblerException

  Takes an `EPPEventResponse` and serializes it to an `OutputStream`

  Parameters:
    `aResponse` - The response that will be serialized
    `aOutputStream` - The OutputStream that the response will be serialized to.
  Throws:
    `EPPAssemblerException` - Error serializing the `EPPEventResponse`

### toEvent

    EPPEvent toEvent(java.io.InputStream aInputStream,
                     java.lang.Object aData)
                     throws EPPAssemblerException

  Takes an `InputStream` and creates a `EPPEvent`

  Parameters:
    `aInputStream` - The InputStream to read data from.
    `aData` - Optional Client Data `Object`
  Returns:
    EPPEvent The `EPPEvent` that is created from the InputStream
  Throws:
    `EPPAssemblerException` - Error creating the `EPPEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.